---
http_interactions:
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 403
      message: Forbidden
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:12 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '78'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4e-vJeBLxgahmv23yP9gdPJW/woako"
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"message":"User access denied - token missing","error":"User not authorized"}'
  recorded_at: Fri, 18 Oct 2024 03:58:12 GMT
- request:
    method: get
    uri: https://login.lescommuns.org/auth/realms/data-food-consortium/.well-known/openid-configuration
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - SWD 2.0.3
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 18 Oct 2024 03:58:13 GMT
      Content-Type:
      - application/json;charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - AUTH_SESSION_ID=1729223894.626.92762.224143|78230f584c0d7db97d376e98de5321dc;
        Path=/; Secure; HttpOnly
      Cache-Control:
      - no-cache, must-revalidate, no-transform, no-store
      Referrer-Policy:
      - no-referrer
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
    body:
      encoding: ASCII-8BIT
      string: '{"issuer":"https://login.lescommuns.org/auth/realms/data-food-consortium","authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth","token_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token","introspection_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token/introspect","userinfo_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/userinfo","end_session_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/logout","frontchannel_logout_session_supported":true,"frontchannel_logout_supported":true,"jwks_uri":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/certs","check_session_iframe":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/login-status-iframe.html","grant_types_supported":["authorization_code","implicit","refresh_token","password","client_credentials","urn:openid:params:grant-type:ciba","urn:ietf:params:oauth:grant-type:device_code"],"acr_values_supported":["0","1"],"response_types_supported":["code","none","id_token","token","id_token
        token","code id_token","code token","code id_token token"],"subject_types_supported":["public","pairwise"],"id_token_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"id_token_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"id_token_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"userinfo_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512","none"],"userinfo_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"userinfo_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"request_object_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512","none"],"request_object_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"request_object_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"response_modes_supported":["query","fragment","form_post","query.jwt","fragment.jwt","form_post.jwt","jwt"],"registration_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/clients-registrations/openid-connect","token_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"token_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"introspection_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"introspection_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"authorization_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"authorization_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"authorization_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"claims_supported":["aud","sub","iss","auth_time","name","given_name","family_name","preferred_username","email","acr"],"claim_types_supported":["normal"],"claims_parameter_supported":true,"scopes_supported":["openid","microprofile-jwt","phone","roles","profile","email","address","web-origins","acr","offline_access"],"request_parameter_supported":true,"request_uri_parameter_supported":true,"require_request_uri_registration":true,"code_challenge_methods_supported":["plain","S256"],"tls_client_certificate_bound_access_tokens":true,"revocation_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/revoke","revocation_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"revocation_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"backchannel_logout_supported":true,"backchannel_logout_session_supported":true,"device_authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth/device","backchannel_token_delivery_modes_supported":["poll","ping"],"backchannel_authentication_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/ciba/auth","backchannel_authentication_request_signing_alg_values_supported":["PS384","ES384","RS384","ES256","RS256","ES512","PS256","PS512","RS512"],"require_pushed_authorization_requests":false,"pushed_authorization_request_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/par/request","mtls_endpoint_aliases":{"token_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token","revocation_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/revoke","introspection_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token/introspect","device_authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth/device","registration_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/clients-registrations/openid-connect","userinfo_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/userinfo","pushed_authorization_request_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/par/request","backchannel_authentication_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/ciba/auth"},"authorization_response_iss_parameter_supported":true}'
  recorded_at: Fri, 18 Oct 2024 03:58:13 GMT
- request:
    method: post
    uri: https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token
    body:
      encoding: UTF-8
      string: grant_type=refresh_token&refresh_token=<HIDDEN-OPENID_REFRESH_TOKEN>
    headers:
      User-Agent:
      - Rack::OAuth2 (2.2.1)
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      Content-Type:
      - application/x-www-form-urlencoded
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 18 Oct 2024 03:58:14 GMT
      Content-Type:
      - application/json
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - AUTH_SESSION_ID=1729223895.858.73454.918918|78230f584c0d7db97d376e98de5321dc;
        Path=/; Secure; HttpOnly
      Cache-Control:
      - no-store
      Pragma:
      - no-cache
      Referrer-Policy:
      - no-referrer
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
    body:
      encoding: ASCII-8BIT
      string: '{"access_token":"<HIDDEN-OPENID-TOKEN>","expires_in":1800,"refresh_expires_in":0,"refresh_token":"<HIDDEN-OPENID-TOKEN>","token_type":"Bearer","id_token":"<HIDDEN-OPENID-TOKEN>","not-before-policy":0,"session_state":"c2483b2c-607e-4996-9f5e-9ef85176ff75","scope":"openid
        profile email offline_access"}'
  recorded_at: Fri, 18 Oct 2024 03:58:15 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:17 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '12021'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Pageinfo:
      - '{"hasPreviousPage":false,"hasNextPage":false,"startCursor":"eyJsYXN0X2lkIjoxMTc1MjAzNDE0MzIzLCJsYXN0X3ZhbHVlIjoxMTc1MjAzNDE0MzIzfQ==","endCursor":"eyJsYXN0X2lkIjoxMTc4NzQwMTYyODY3LCJsYXN0X3ZhbHVlIjoxMTc4NzQwMTYyODY3fQ=="}'
      Etag:
      - W/"2ef5-L59kc4+Lw4K/A4Usbl1gBKXh4kY"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b612","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"2.09"},{"@id":"_:b613","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"2.09"},{"@id":"_:b614","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"2.09"},{"@id":"_:b615","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b616","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b617","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b618","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"23.95"},{"@id":"_:b619","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b620","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b621","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b622","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"3.99"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635","@type":["dfc-b:Offer","dfc-b:Offer","dfc-b:Offer"],"dfc-b:offeredItem":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":["dfc-b:Offer","dfc-b:Offer","dfc-b:Offer","dfc-b:Offer","dfc-b:Offer","dfc-b:Offer"],"dfc-b:offeredItem":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468400947","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468400947"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175325245747","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175325245747/orderLines/133"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175325245747/orderLines/133","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635"},"dfc-b:hasPrice":{"@id":"_:b612"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175937679667","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175937679667/orderLines/143"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175937679667/orderLines/143","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635"},"dfc-b:hasPrice":{"@id":"_:b613"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175938695475","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175938695475/orderLines/146"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175938695475/orderLines/146","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635"},"dfc-b:hasPrice":{"@id":"_:b614"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176057348403","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176057348403/orderLines/151"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176057348403/orderLines/151","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b615"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176063607091","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176063607091/orderLines/157"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176063607091/orderLines/157","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b616"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176168825139","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176618729779","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Fulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176618729779/orderLines/164"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176618729779/orderLines/165"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176618729779/orderLines/164","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b617"},"dfc-b:quantity":"2"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176618729779/orderLines/165","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715"},"dfc-b:hasPrice":{"@id":"_:b618"},"dfc-b:quantity":"2"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176935760179","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176935760179/orderLines/168"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176935760179/orderLines/168","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b619"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1177414697267","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1177414697267/orderLines/172"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1177414697267/orderLines/172","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b620"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1178740162867","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1178740162867/orderLines/196"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1178740162867/orderLines/197"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1178740162867/orderLines/196","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b621"},"dfc-b:quantity":"2"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1178740162867/orderLines/197","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468400947"},"dfc-b:hasPrice":{"@id":"_:b622"},"dfc-b:quantity":"7"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635","@type":["dfc-b:SuppliedProduct","dfc-b:SuppliedProduct","dfc-b:SuppliedProduct"]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":["dfc-b:SuppliedProduct","dfc-b:SuppliedProduct","dfc-b:SuppliedProduct","dfc-b:SuppliedProduct","dfc-b:SuppliedProduct","dfc-b:SuppliedProduct"]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468400947","@type":"dfc-b:SuppliedProduct"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Fri, 18 Oct 2024 03:58:17 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:19 GMT
      Content-Type:
      - text/html; charset=utf-8
      Content-Length:
      - '37105'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"90f1-TbpMeFBTW7Om/+N5ImOkc4dwZkQ"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 49476 characters]
  recorded_at: Fri, 18 Oct 2024 03:58:20 GMT
- request:
    method: post
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders","@type":"dfc-b:Order","dfc-b:belongsTo":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SalesSession/#","dfc-b:hasPart":["https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/1","https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/2"],"dfc-b:orderedBy":"http://test.host/api/dfc/enterprises/5246","dfc-b:hasOrderStatus":"dfc-v:Held"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/1","@type":"dfc-b:OrderLine","dfc-b:quantity":1,"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403/Offer"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/2","@type":"dfc-b:OrderLine","dfc-b:quantity":5,"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715/Offer"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403/Offer","@type":"dfc-b:Offer","dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"18.85","dfc-b:VATrate":"0","dfc-b:hasUnit":"dfc-m:PoundSterling"},"dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715/Offer","@type":"dfc-b:Offer","dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"23.95","dfc-b:VATrate":"0","dfc-b:hasUnit":"dfc-m:PoundSterling"},"dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct","dfc-b:name":"Baked
        British Beans - Case, 12 x 400g (can)","dfc-b:description":"<table width=\"100%\">\n<tbody>\n<tr
        style=\"border: 0px;\">\n<td bgcolor=\"#d6fbed\" style=\"color: #000000; border:
        0px;\"><strong>They''re back!</strong></td>\n</tr>\n</tbody>\n</table>\n<p><strong>Think
        baked beans are British? They are now! We use only British-grown fava beans
        - Britain''s original bean, grown here since the Iron Age. Our Baked British
        Beans are deliciously different, with large meaty fava beans in a tasty tomato
        sauce.</strong></p>\n<p><strong><a title=\"What are fava beans? Aren''t they
        just broad beans?\" href=\"/blogs/news/what-are-fava-beans-are-they-just-broad-beans\"
        data-mce-fragment=\"1\" data-mce-href=\"/blogs/news/what-are-fava-beans-are-they-just-broad-beans\">What
        are fava beans? Find out here...</a></strong></p>\n<!-- split --><h3>Complete
        Product Details</h3><p>Our Baked British Beans are cooked and ready to eat,
        hot or cold. They''re good served on toast but also delicious added to stews,
        curries or casseroles. Or even in a pie.</p>\n<h5 class=\"product-detail-title\">Cooking
        instructions</h5>\n<p><strong>Cooking on the Hob</strong><br>Empty contents
        into saucepan. Heat gently for 4-5 minutes while stirring. For best flavour
        do not boil or overcook. Do not reheat.</p>\n<p><strong>Microwave Cooking</strong><br>Empty
        contents into a non-metallic bowl and cover. Heat for 2 to 3 minutes, stirring
        halfway. Check the food is hot, stir well and serve. Do not reheat.</p>\n<h5
        class=\"product-detail-title\">To Store</h5>\n<p>Store in a cool, dry place.
        Once opened, transfer contents to a non-metallic container, cover refrigerate
        and use with 2 days.</p>\n<h5 class=\"product-detail-title\">Ingredients</h5>\n<p>Fava
        Beans (Broad Beans) (42%), Water, Tomato Puree, Sugar, Modified Maize Starch,
        Salt, Herbs &amp; Spices, Concentrated Lemon Juice</p>\n<h5 class=\"product-detail-title\">Allergy
        information</h5>\n<p>No Allergens</p>\n<table width=\"100%\">\n<tbody>\n<tr>\n<td><strong>Typical
        values</strong></td>\n<td><strong>Per 100g</strong></td>\n</tr>\n<tr>\n<td>Energy</td>\n<td>292kJ
        (69kcal)</td>\n</tr>\n<tr>\n<td>Fat</td>\n<td>0.4g</td>\n</tr>\n<tr>\n<td>of
        which saturates</td>\n<td>0.1g</td>\n</tr>\n<tr>\n<td>Carbohydrate</td>\n<td>10.1g</td>\n</tr>\n<tr>\n<td>of
        which sugars</td>\n<td>4.6g</td>\n</tr>\n<tr>\n<td>Fibre</td>\n<td>5g</td>\n</tr>\n<tr>\n<td>Protein</td>\n<td>4g</td>\n</tr>\n<tr>\n<td>Salt</td>\n<td>0.6g</td>\n</tr>\n</tbody>\n</table><h5
        class=\"product-detail-title\">More</h5>\n<p>Delicious, nutritious and good
        for the soil, fava beans are a variety of broad bean, Vicia faba, left to
        ripen and dry before harvest. They’re also known as field beans, horse beans,
        Windsor beans or ful.</p>\n<p>Suitable for vegans and vegetarians</p>\n","dfc-b:hasQuantity":{"@type":"dfc-b:QuantitativeValue","dfc-b:hasUnit":"dfc-m:Kilogram","dfc-b:value":"4.8"},"dfc-b:referencedBy":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403/CatalogItem","dfc-b:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Pack-Can-Baked-Beans-1800x6_983x656_513758e6-2616-4687-a8b2-ba6dde864923.jpg?v=1677760778","ofn:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Pack-Can-Baked-Beans-1800x6_983x656_513758e6-2616-4687-a8b2-ba6dde864923.jpg?v=1677760778"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715","@type":"dfc-b:SuppliedProduct","dfc-b:name":"Chia
        Seed, Organic - Case, 8 x 300g","dfc-b:description":"<p><strong>The first
        ever British-grown organic chia seeds! </strong></p>\n<p><strong>These versatile
        and nutritious seeds are delicious sprinkled on salads, added to smoothies
        or in baking. They make a great vegan egg replacement too.</strong></p>\n<p>Organically
        grown by John and Alice Pawsey in Suffolk, with guidance from <a title=\"Reasons
        to be Chia-ful\" href=\"https://hodmedods.co.uk/blogs/news/first-british-chia\">chia
        pioneers Peter and Andrew Fairs</a>, these chia seeds are the result of five
        years of crop trials and developments. The tiny oil-rich seeds are harvested
        from the <em>Salvia hispanica</em> plant, a member of the mint family originating
        in central America, where chia was a staple food in Aztec cultures, alongside
        beans and corn.</p>\n<!-- split --><h3>Complete Product Details</h3>\n<li
        id=\"tab1\" class=\"active\">\n<p>Sprinkle on salads, use in baking, add to
        smoothies, porridge or granola.</p>\n<p>Advised maximum daily intake: 15g</p>\n<h5
        class=\"product-detail-title\">Cooking instructions</h5>\n<p><strong>As an
        egg substitute</strong><br>Soak 1 tablespoon of seeds in 3 tablespoons of
        warm water for 30 minutes to replace one egg in vegan baking.</p>\n<p><strong>In
        baking</strong><br>Add whole or ground chia seeds to bread mixes at up to
        5%<br>Add whole chia seeds to other baking mixes at up to 10%</p>\n<p><strong>Other
        uses</strong><br> Add whole chia seeds to breakfast cereal at up to 10%<br>Add
        whole chia seeds to fruit, nut, and seed mixes at up to 10%<br>Add whole,
        mashed or ground chia seeds to fruit juices or smoothies at up to 15g/day</p>\n<h5
        class=\"product-detail-title\">Ingredients</h5>\n<p>Chia seeds (<em>Salvia
        Hispanica</em>)</p>\n<h5 class=\"product-detail-title\">Allergy information</h5>\n<p>No
        Allergens</p>\n<table height=\"247\" width=\"416\">\n<tbody>\n<tr>\n<td style=\"width:
        203.295px;\"><strong>Typical values</strong></td>\n<td style=\"width: 199.659px;\"><strong>Per
        100g</strong></td>\n</tr>\n<tr>\n<td style=\"width: 203.295px;\">Energy</td>\n<td
        style=\"width: 199.659px;\">1,675kJ / 404kcal</td>\n</tr>\n<tr>\n<td style=\"width:
        203.295px;\">Fat</td>\n<td style=\"width: 199.659px;\">23.2g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">of which saturates</td>\n<td style=\"width: 199.659px;\">2.3g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Carbohydrate</td>\n<td style=\"width: 199.659px;\">16.7g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">of which sugars</td>\n<td style=\"width: 199.659px;\">0.8g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Fibre</td>\n<td style=\"width: 199.659px;\">27.7g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Protein</td>\n<td style=\"width: 199.659px;\">18.2g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Salt</td>\n<td style=\"width: 199.659px;\">0.01g</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Calcium</td>\n<td style=\"width: 199.659px;\">701mg</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Iron</td>\n<td style=\"width: 199.659px;\">7.2mg</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Magnesium</td>\n<td style=\"width: 199.659px;\">230mg</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Phosphorous</td>\n<td style=\"width: 199.659px;\">583mg</td>\n</tr>\n<tr>\n<td
        style=\"width: 203.295px;\">Omega 3 ALA</td>\n<td style=\"width: 199.659px;\">11.5g</td>\n</tr>\n</tbody>\n</table>\n<h5
        class=\"product-detail-title\">More</h5>\n<p>Chia Seeds are high in dietary
        fibre and Omega 3 ALA oils, and a source of protein.</p>\n<p>Suitable for
        Vegans &amp; Vegetarians.</p>\n<p>Grown by John and Alice Pawsey in Suffolk.</p>\n</li>","dfc-b:hasQuantity":{"@type":"dfc-b:QuantitativeValue","dfc-b:hasUnit":"dfc-m:Kilogram","dfc-b:value":"2.4"},"dfc-b:referencedBy":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715/CatalogItem","dfc-b:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Organic-Chia-2400x1800_3f9b29c6-f1fe-4899-957f-038be976da68.jpg?v=1677760816","ofn:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Organic-Chia-2400x1800_3f9b29c6-f1fe-4899-957f-038be976da68.jpg?v=1677760816"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SalesSession/#","@type":"dfc-b:SaleSession","dfc-b:beginDate":"Thu
        Oct 17 2024 03:58:10 UTC","dfc-b:endDate":"Fri Oct 25 2024 03:58:10 UTC"}]}'
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:24 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '2276'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"8e4-tuUNIk5sdxufkttpjX5u+fGWQMo"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b647","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b648","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"23.95"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147","@type":"dfc-b:Order","dfc-b:hasOrderStatus":{"@id":"dfc-v:Held"},"dfc-b:hasPart":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b647"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715"},"dfc-b:hasPrice":{"@id":"_:b648"},"dfc-b:quantity":"5"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Fri, 18 Oct 2024 03:58:24 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:26 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '2276'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"8e4-7+uWmiMJsOHY6ou4TCxfjiq0LGQ"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b649","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b650","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"23.95"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147","@type":"dfc-b:Order","dfc-b:hasOrderStatus":{"@id":"dfc-v:Held"},"dfc-b:hasPart":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b649"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715"},"dfc-b:hasPrice":{"@id":"_:b650"},"dfc-b:quantity":"5"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Fri, 18 Oct 2024 03:58:26 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:27 GMT
      Content-Type:
      - text/html; charset=utf-8
      Content-Length:
      - '37105'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"90f1-PWexF45mznciv1xabStqGfvYdi0"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 49476 characters]
  recorded_at: Fri, 18 Oct 2024 03:58:28 GMT
- request:
    method: put
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147","@type":"dfc-b:Order","dfc-b:hasPart":["https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262","https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263"],"dfc-b:hasOrderStatus":"dfc-v:Complete"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262","@type":"dfc-b:OrderLine","dfc-b:quantity":1,"dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"18.85","dfc-b:hasUnit":"dfc-m:PoundSterling"},"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263","@type":"dfc-b:OrderLine","dfc-b:quantity":5,"dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"23.95","dfc-b:hasUnit":"dfc-m:PoundSterling"},"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":"dfc-b:Offer","dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715","@type":"dfc-b:Offer","dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715","@type":"dfc-b:SuppliedProduct"}]}'
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 18 Oct 2024 03:58:34 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '2336'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"920-oy90VIcbocTYsPTY40sgi+0ELyA"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b675","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b676","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"23.95"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/262","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b675"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1181073572147/orderLines/263","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519468433715"},"dfc-b:hasPrice":{"@id":"_:b676"},"dfc-b:quantity":"5"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519468433715","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Fri, 18 Oct 2024 03:58:34 GMT
recorded_with: VCR 6.2.0
